x003033_g_scriptId=003033

x003033_g_IdPuTong={}
x003033_g_IdPuTong[1]={800000}     --    刷的怪物

x003033_g_PuTongNum={}
x003033_g_PuTongNum[1]={3}     --   数量

x003033_g_ExistTime = 9000000

x003033_g_MonsterPosList={}     
x003033_g_MonsterPosList[1]={{219.08,121.36,3.5},{279.45,156.78,3.93},{163.11,157.05,1.53},{164.61,259.36,1.53},{219.08,121.36,3.5},{279.45,156.78,3.93},{163.11,157.05,1.53},{164.61,259.36,1.53}}	 
-- 上面的怪物坐标重复写两遍   方便随机不同的坐标

function x003033_OnActivityStart( scene,curTime,idx)	
	local PosNum = #x003033_g_MonsterPosList[1]/2
	local randPos = RandomMon(1, PosNum)	
	local Rcount = x003033_g_PuTongNum[1][1]-1
	local Lvl = GetWorldLvlByFestivalMonster(scene)
	print("刷怪世界等級")

	local AdaptLvl = math.floor(Lvl/10)
	print(AdaptLvl)
	SetSceneBossNum(scene, idx)
	for i = randPos, randPos+Rcount do
		local objId = CreateMonster(scene, x003033_g_IdPuTong[1][1]+AdaptLvl,x003033_g_MonsterPosList[1][i][3],x003033_g_MonsterPosList[1][i][1],x003033_g_MonsterPosList[1][i][2])
		--SetNpcCampByObjId(scene,objId,1)
		SetMonEndTime(scene, curTime, x003033_g_ExistTime, objId)
		LogMonster(scene,objId,x003033_g_IdPuTong[1][1]+AdaptLvl,x003033_g_MonsterPosList[1][i][3],x003033_g_MonsterPosList[1][i][1],x003033_g_MonsterPosList[1][i][2])
	
	end
end
